## sensor-dht11 2.0.0

=== debian/changelog ===
sensor-dht11 (2.0.0) stable; urgency=medium

  * Rewritten in C for reduced dependencies and faster startup
  * Removed Python runtime dependency
  * Native GPIO access via /dev/gpiomem
  * Same JSON output format as Python version
  * Added internal/external location filter arguments
  * Added bash completions

 -- Ed Baker <ed@ebaker.me.uk>  Fri, 23 Jan 2026 12:00:00 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE)

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/sensor-dht11 PREFIX=/usr install

override_dh_auto_clean:
	$(MAKE) clean

## sensor-dht11 2.0.1

=== Makefile ===
# Makefile for sensor-dht11 (C version)
# Build DHT11 sensor reader for Raspberry Pi using libgpiod

# Extract version from debian/changelog
VERSION := $(shell head -n1 debian/changelog | sed 's/.*(//' | sed 's/).*//')

CC = gcc
CFLAGS = -Wall -Wextra -O2 -std=c99 -I/usr/include/ws -DVERSION=\"$(VERSION)\"
LDFLAGS = -lgpiod -lwildlifesystems

PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man1

SRCDIR = src
TARGET = sensor-dht11
SOURCES = $(SRCDIR)/dht11.c
HEADERS = $(SRCDIR)/dht11.h

.PHONY: all clean install uninstall debug deb

all: $(TARGET)

$(TARGET): $(SOURCES) $(HEADERS)
	$(CC) $(CFLAGS) -o $@ $(SOURCES) $(LDFLAGS)

# Build with debug symbols
debug: CFLAGS += -g -DDEBUG
debug: $(TARGET)

# Install the binary
install: $(TARGET)
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 $(TARGET) $(DESTDIR)$(BINDIR)/
	install -d $(DESTDIR)$(MANDIR)
	install -m 644 man/sensor-dht11.1 $(DESTDIR)$(MANDIR)/

# Uninstall
uninstall:
	rm -f $(DESTDIR)$(BINDIR)/$(TARGET)
	rm -f $(DESTDIR)$(MANDIR)/sensor-dht11.1

# Clean build artifacts
clean:
	rm -f $(TARGET)

# For Debian packaging
deb:
	dpkg-buildpackage -us -uc -b

=== debian/changelog ===
sensor-dht11 (2.0.1) stable; urgency=medium

  * Refactor to use libwildlifesystems shared library
  * Add setup, enable, mock commands for consistent CLI
  * Update man page with all commands

 -- Ed Baker <ed@ebaker.me.uk>  Tue, 27 Jan 2026 12:00:00 +0000

=== debian/control ===
Source: sensor-dht11
Section: contrib/misc
Priority: optional
Maintainer: Ed Baker <ed@ebaker.me.uk>
Build-Depends: debhelper-compat (= 13), libgpiod-dev, libwildlifesystems-dev
Standards-Version: 4.5.1
Homepage: https://github.com/Wildlife-Systems/sensor-dht11

Package: sensor-dht11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sensor-control
Suggests: bash-completion
Description: Read DHT11 sensor (C version)
 Lightweight C implementation for reading DHT11 temperature and humidity
 sensors on Raspberry Pi. Outputs data in JSON format compatible with
 WildlifeSystems sensor framework.
 .
 This replaces the Python version with a native binary that has minimal
 dependencies and faster startup time.

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,6 @@
 
 override_dh_auto_clean:
 	$(MAKE) clean
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## sensor-dht11 2.0.2

=== debian/changelog ===
sensor-dht11 (2.0.2) stable; urgency=medium

  * Rebuild against libwildlifesystems 1.1.1

 -- Ed Baker <ed@ebaker.me.uk>  Tue, 27 Jan 2026 14:00:00 +0000
